﻿
body {
     background-color: white;
    /* background-color: rgb(218 213 238);*/
    font-family: 'VAGRounded BT';
    font-size: large;
    /*display: flex;*/
    justify-content: center;
    align-items: center;
    padding: 0 0px;
    margin: 10px 10px;
}

#div20 {
    height: 50%;
    width: 30%;
    margin: 0 0;
    padding: 0px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px,1fr) );
    justify-items: stretch;
    grid-gap: 7px;
    background-color: rgb(255, 255, 255);
    /*box-sizing: border-box;*/
    /*grid-template-rows: repeat(auto-fit, minmax(30px,1fr) );*/
}

.sch-logo {
    display: block;
    padding: 5px;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: 0 0;
}
#div21 {
    background-color: rgb(229, 229, 229);
    grid-column: 1/-1;
    grid-row: 1/4;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    /*grid-template-columns: repeat(auto-fit, minmax(100px,1fr) );*/
    align-items: flex-start;
    z-index: 10;
}

    #div21 > *:first-child {
        align-self: center;
    }


    #div21 .logo {
        /*display: block;*/
        margin-top: 5px;
        margin-bottom: 5px;
        margin-left: 20px; 
        margin-right: 20px;
        height: 35px;
        width: auto;
    }

#div21-home {
    background-color: lightgrey;
    grid-column: 2/4;
    grid-row: 1/2;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: 0px;
    margin-bottom: 0px;
    align-items: center;
    box-shadow: inset 0px 0px 10px rgba(0,0,0,0.5);
}


    #div21-home .all {
        display: block;
        margin-top: 10px;
        margin-bottom: 10px;
        margin-left: 0px;
        margin-right: 0px;
        height: 35px;
        width: auto;
    }



#div22 {
    background-color: white;
    grid-column: 1/-1;
    grid-row: 3/24;
    /*height: 90px;*/
    display: flex;
    align-items: center;
}

    #div22 img {
        display: block;
        padding: 0px;
        width: 100%;
        height: 100%;
        position: absolute;
        object-fit: cover;
        object-position: 0 -30px;
    }

/*common css properties to all div*/
.div20-prop {
    box-shadow: 0px 2px 2px rgb(110, 110, 110);
    border-radius: 7px;
    text-align: center;
    position: relative;
    align-items: center;
}



/*

#divSch-JNS {
    background-color: sandybrown;
   grid-column: 1/2;
    grid-row: 14/16;
}

#divSch-AVM {
    background-color: lightyellow;
    grid-column: 1/2;
    grid-row: 16/18;
}

#divSch-JNIS {
    background-color: lightcyan;
    grid-column: 1/2;
    grid-row: 18/20;
}

#divSch-USGS {
    background-color: peachpuff;
    grid-column: 1/2;
    grid-row: 20/22;
    transition: all 5s;
}

#divSch-DBIS {
    background-color: lightgray;
    grid-column: 1/2;
    grid-row: 22/24;
}*/

/*.divSch-hov:hover, .divSch-hov:active {
    background-color: white;
    width: 120%;
    height: 120%;
    z-index: 5;
}*/

#div33-copyright {
    background-color: rgb(230,230,230);
    grid-column: 1/-1;
    grid-row: 24/25;
    display: flex;
    align-items: flex-end;
    /*text-align: right;*/
}

    #div33-copyright span {
        text-decoration-color: red;
        margin-left: auto;
        margin-right: 20px;
        height: auto;
        width: auto;
        z-index: 1;
    }

@media screen and (min-width: 600px) {
    #div21 {
        align-items: center;
    }

    #div21-home {
        background-color: darkgray;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        margin-right: 20px;
        align-items: center;
        box-shadow: inset 0px 0px 10px rgba(0,0,0,0.5);
    }

        #div21-home .all {
            display: block;
            margin-top: 5px;
            margin-bottom: 5px;
            margin-left: 40px;
            margin-right: 40px;
            height: 38px;
            width: auto;
        }
}
